function f = interpol(x, t, I, Ts)
% INTERPOL   Perform interpolation of sampled signal
%    f = INTERPOL(x, t, I, Ts) creates a continuous-time signal x(t) by
%    interpolating the sequence x[n] using the interpolator I. I must be a
%    handle to the interpolation function. Ts is the sampling time to be
%    used.

% $Id: interpol.m 673 2007-11-22 09:35:29Z kleiner $

% The interpolation formula (10.29)
f = zeros(size(t));
for k = 0:length(x) - 1;
    f = f + x(k+1)*I((t - k*Ts) / Ts);
end
